/*******************************************************************************
*
* File:   MDemoText.cp
*
* Description: Main Program
*
*
* Copyright  1985 - 1990 by Apple Computer, Inc. All rights reserved.
********************************************************************************/
#define  __MDEMOTEXT__

//  {$MC68020-}												// The main program must be universal code
//  {$MC68881-}

		//  MacApp
#include <UMacApp.h>

		//  Building Blocks
#include <UPrinting.h>
#include <UTEView.h>

		//  Implementation use
#ifndef __UDEMOTEXT__
#include "UDemoText.h"
#endif

#pragma segment Main

void main()
	{
	TDemoTextApplication *gDemoTextApplication;

	InitToolBox(); 											// Essential toolbox and utilities
															// initialization
	if (ValidateConfiguration(&gConfiguration))				// Make sure we can run
		{

		// Continue with remainder of initialization
		InitUMacApp(8); 									// Initialize MacApp; 8 calls to MoreMasters

		// ------------------------------------------------------
		// If you are going to use streams for debugging IO then:
		// #include <stdio.h>
		// #include <iostream.h>
		// and execute the following line since MacApp's debug output is essentialy "printf"s

		// cout.sync_with_stdio();

		InitUPrinting();									// Initialize the Printing unit
		InitUTEView();										// Initialize the TEView unit
		
		gDemoTextApplication = new TDemoTextApplication;	// Create an application object
		FailNIL(gDemoTextApplication);
		gDemoTextApplication->IDemoTextApplication();		// Initialize the application
		gDemoTextApplication->Run();						// Run the application
		}
	else
		{
		StdAlert(phUnsupportedConfiguration);
		}
	}